org.dblock.log4jna.nt.demo

## Class NewDemo

- java.lang.Object
- - org.dblock.log4jna.nt.demo.NewDemo

-     public class NewDemo
      extends Object

  A new more extended demo application based on Demo.java by Ceri Storey.

  Note: To run for the first time you must be Administrator in Windows. This application needs to write the registry when run for the first time

  Author:
    Claudio Trajtenberg, Daniel Doubrovkine, Ceri Storey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static Logger` | `LOGGER`
    `private static String` | `MSG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewDemo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug()`
    `void` | `error()`
    `void` | `errorWithException()`
    `void` | `fatal()`
    `void` | `fatalWithException()`
    `void` | `info()`
    `static void` | `main(String[] args)`
    `private void` | `throwException()`
    `void` | `trace()`
    `void` | `warn()`
    `void` | `warnWithException()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGGER

          private static Logger LOGGER

    - #### MSG

          private static final String MSG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NewDemo

          public NewDemo()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Parameters:
        `args` -

    - #### trace

          public void trace()

    - #### debug

          public void debug()

    - #### info

          public void info()

    - #### warn

          public void warn()

    - #### error

          public void error()

    - #### fatal

          public void fatal()

    - #### warnWithException

          public void warnWithException()

    - #### throwException

          private void throwException()
                               throws Exception

      Throws:
        `Exception`

    - #### errorWithException

          public void errorWithException()

    - #### fatalWithException

          public void fatalWithException()

Copyright © 2016 The Log4JNA Team. All rights reserved.